{"openapi":"3.0.0","paths":{"/health":{"get":{"tags":["HealthCheck"],"summary":"Returns healtcheck status of OpenAPIs for a given company","operationId":"healthStatus","responses":{"200":{"description":"Health check status is returned in the response body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HealthCheckResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[]}},"/expenses/{expenseId}":{"get":{"tags":["Expenses"],"summary":"Get an expense for a company","operationId":"getExpense","responses":{"200":{"description":"An expense has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpenseResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"expenseId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the expense."}]}},"/expenses":{"get":{"tags":["Expenses"],"summary":"Get expenses for a company","description":"By default does not return expenses with Transaction State AUTHORIZATION or AUTHORIZATION_REVERSAL.","operationId":"getExpenses","responses":{"200":{"description":"Expenses have been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpensesResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"pageOffset","in":"query","required":false,"schema":{"type":"number","example":"150"},"description":"This is the pagination offset value. The record number you would like to start from. This offset value starts at 0."},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number","example":"10"},"description":"The number of expenses to return for each page."},{"name":"dateFrom","in":"query","required":false,"schema":{"type":"string","example":"2021-02-10T14:00:00.000Z","format":"date-time"},"description":"Date and time to start the expense search from. Format is: YYYY-MM-DDTHH:mi:ss.SSSZ"},{"name":"dateTo","in":"query","required":false,"schema":{"type":"string","example":"2021-02-10T19:00:00.000Z","format":"date-time"},"description":"Date and time to start the expense search from. Format is: YYYY-MM-DDTHH:mi:ss.SSSZ"},{"name":"types","in":"query","required":false,"schema":{"type":"array","example":"[\"CARD\", \"MANUAL_TRANSFER\"]","items":{"type":"string","nullable":false,"enum":["CARD","PERSONAL_TRANSFER","BILL_INVOICE","BILL_INVOICE_PAYMENT","LOAD","MANUAL","MANUAL_TRANSFER","PLEO_INVOICE","EMPLOYEE_BANK_TRANSFER","CASHBACK","OVERDRAFT_FEE","OVERDRAFT_INTEREST"]},"uniqueItems":true},"description":"An array of the expense types to filter on."},{"name":"accountId","in":"query","required":false,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the expense category account to filter the expenses by."},{"name":"tagId","in":"query","required":false,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag the expense belongs to, to filter the expenses by."},{"name":"transactionStates","in":"query","required":false,"schema":{"type":"array","example":"[\"AUTHORIZATION\", \"PRESENTMENT\"]","items":{"type":"string","nullable":false,"enum":["AUTHORIZATION","AUTHORIZATION_REVERSAL","CHARGE_BACK","CHARGE_BACK_REVERSAL","PRESENTMENT","SECOND_PRESENTMENT","REFUND","LOAD","UNLOAD","FAILED","MANUAL"]},"uniqueItems":true},"description":"An array of transaction states to filter the expenses by."},{"name":"status","in":"query","required":false,"schema":{"type":"array","example":"[\"NOT_EXPORTED\", \"EXPORTED\"]","items":{"type":"string","nullable":false,"enum":["NOT_EXPORTED","QUEUED","EXPORTING","EXPORTED"]},"uniqueItems":true},"description":"An array of the export status to filter on."}]},"put":{"tags":["Expenses"],"summary":"Update a given list of expenses. ","description":"At the moment, it is only possible to update expenses' status","operationId":"updateExpenses","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpensesUpdateRequest"}}},"required":true}}},"/tag-groups":{"get":{"tags":["Tag Groups"],"summary":"Get all tag groups belonging to the specified company.","description":"This endpoint returns all tag groups belonging to the company as well as their attributes","operationId":"getTagGroups","responses":{"200":{"description":"Tag groups have been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagGroupsResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"archived","in":"query","required":false,"schema":{"type":"boolean"},"description":"This flag allows you fetch only tag groups that have been archived if set to true or those that are still actively in use if set to false. By default it will only fetch active tag groups."}]},"post":{"tags":["Tag Groups"],"summary":"Create a new tag group.","description":"This endpoint allows for the creation of a new Tag Group with its attribute values","operationId":"createTagGroup","responses":{"200":{"description":"Tag group has been created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagGroupResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagGroupCreationRequest"}}},"required":true}}},"/tag-groups/{tagGroupId}":{"get":{"tags":["Tag Groups"],"summary":"Get a tag group","description":"This endpoint will return a single Tag Group, as well as all of it's attributes","operationId":"getTagGroup","responses":{"200":{"description":"Tag group has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagGroupResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"tagGroupId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag group."}]},"patch":{"tags":["Tag Groups"],"summary":"Update a tag group","operationId":"updateTagGroup","responses":{"200":{"description":"Tag group has been updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagGroupResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"tagGroupId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag group."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTagGroupRequest"}}},"required":true}},"delete":{"tags":["Tag Groups"],"summary":"Delete or archive a tag group.","description":"This endpoint will delete or archive a Tag Group and all associated attributes and Tags.","operationId":"deleteTagGroup","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[{"name":"tagGroupId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag group."},{"name":"archive","in":"query","required":false,"schema":{"type":"boolean"},"description":"This flag allows you to archive the tag group as opposed to a forced delete of the tag group and it's associations."}]}},"/tag-groups/{tagGroupId}/tags":{"get":{"tags":["Tag Groups"],"summary":"Get all tags for a specified tag group","operationId":"getTags","responses":{"200":{"description":"Tags have been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagsResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"tagGroupId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag group."},{"name":"hidden","in":"query","required":false,"schema":{"type":"boolean"},"description":"This flag allows you fetch only tags that have been hidden/archived if set to true or tags that are still actively in use if set to false. By default it will only fetch active tags."}]},"post":{"tags":["Tag Groups"],"summary":"Create a new tag","description":"This endpoint allows for the creation of a new Tag and its attribute values.","operationId":"createTag","responses":{"200":{"description":"Tag group has been created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"tagGroupId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag group."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagCreationRequest"}}},"required":true}}},"/tag-groups/{tagGroupId}/tags/{tagId}":{"get":{"tags":["Tag Groups"],"summary":"Get a tag from a tag group","description":"This endpoint returns a specific tag with it's attribute values for a specified tag group","operationId":"getTag","responses":{"200":{"description":"Tag has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"tagGroupId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag group."},{"name":"tagId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag."}]},"patch":{"tags":["Tag Groups"],"summary":"Update a tag","operationId":"updateTag","responses":{"200":{"description":"Tag has been updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"tagGroupId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag group."},{"name":"tagId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagUpdateRequest"}}},"required":true}},"delete":{"tags":["Tag Groups"],"summary":"Delete a tag","description":". If this tag is not already in use, the tag will be deleted, otherwise an error will be returned.","operationId":"deleteTag","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[{"name":"tagGroupId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag group."},{"name":"tagId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tag."}]}},"/companies/balance":{"get":{"tags":["Company"],"summary":"Get company account balance","operationId":"getCompanyBalance","responses":{"200":{"description":"Company balance has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyBalance"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[]}},"/expenses/{expenseId}/receipts":{"get":{"tags":["Receipts"],"summary":"Get expense receipts","operationId":"getExpenseReceipts","responses":{"200":{"description":"An array of receipts info with the download URL will be returned.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Receipts"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"expenseId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the expense."}]}},"/expenses/{expenseId}/receipts/{receiptId}":{"get":{"tags":["Receipts"],"summary":"Get an expense receipt","operationId":"getExpenseReceipt","responses":{"200":{"description":"The expense receipt details will be returned.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Receipt"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"expenseId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the expense."},{"name":"receiptId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the receipt."}]}},"/employees/{employeeId}":{"get":{"tags":["Employees"],"summary":"Get an employee for a company","operationId":"getEmployee","responses":{"200":{"description":"An employee has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployeeResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"An employee does not exist or does not match the company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"employeeId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the employee."}]},"put":{"tags":["Employees"],"summary":"Update an employee for a company","operationId":"updateEmployee","responses":{"200":{"description":"An employee has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployeeResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"An employee does not exist or does not match the company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"employeeId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the employee."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"firstName":{"type":"string","description":"Employee first name"},"lastName":{"type":"string","description":"Employee last name"},"email":{"type":"string","description":"Email"},"jobTitle":{"type":"string","description":"Job title","nullable":true},"phone":{"type":"string","description":"Phone number","nullable":true},"code":{"type":"string","description":"External Id","nullable":true}}}}},"required":true}},"delete":{"tags":["Employees"],"summary":"Delete an employee for a company","operationId":"deleteEmployee","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[{"name":"employeeId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the employee."}]}},"/employees":{"get":{"tags":["Employees"],"summary":"Get company employees","operationId":"getEmployees","responses":{"200":{"description":"Employees has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployeesResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"pageOffset","in":"query","required":false,"schema":{"type":"number","example":"150","nullable":false},"description":"This is the pagination offset value. The record number you would like to start from. This offset value starts at 0."},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number","example":"10"},"description":"The number of employees to return for each page."}]},"post":{"tags":["Employees"],"summary":"Create an employee for a company","operationId":"createEmployee","responses":{"200":{"description":"An employee has been created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployeeCreationResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployeeCreationRequest"}}},"required":true}}},"/accounts/{accountId}":{"get":{"tags":["Accounts"],"summary":"Get an account for a company","operationId":"getAccount","responses":{"200":{"description":"An account has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResponse"}}}},"400":{"description":"validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"An account does not exist or does not match the company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the account."}]},"put":{"tags":["Accounts"],"summary":"Update an account for a company","operationId":"updateAccount","responses":{"200":{"description":"An account has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResponse"}}}},"400":{"description":"validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"An account does not exist or does not match the company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the account."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountCreationRequest"}}},"required":true}},"delete":{"tags":["Accounts"],"summary":"Delete an account for a company","operationId":"deleteAccount","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the account."}]}},"/accounts":{"get":{"tags":["Accounts"],"summary":"Get company accounts","operationId":"getAccounts","responses":{"200":{"description":"Accounts has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountsResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"pageOffset","in":"query","required":false,"schema":{"type":"number","example":"150","nullable":false},"description":"This is the pagination offset value. The record number you would like to start from. This offset value starts at 0."},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number","example":"10"},"description":"The number of accounts to return for each page."}]},"post":{"tags":["Accounts"],"summary":"Create an account for a company","operationId":"createAccount","responses":{"200":{"description":"An account has been created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResponse"}}}},"400":{"description":"validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountCreationRequest"}}},"required":true}}},"/account-groups":{"get":{"tags":["Accounts"],"summary":"Get all company account groups","operationId":"getAccountGroups","responses":{"200":{"description":"Account groups has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupsResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"pageOffset","in":"query","required":false,"schema":{"type":"number","example":"150","nullable":false},"description":"This is the pagination offset value. The record number you would like to start from. This offset value starts at 0."},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number","example":"10"},"description":"The number of account groups to return for each page."}]},"post":{"tags":["Accounts"],"summary":"Create an account group for a company","operationId":"createAccountGroup","responses":{"200":{"description":"An account group has been created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupResponse"}}}},"400":{"description":"validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupCreationRequest"}}},"required":true}}},"/account-categories":{"get":{"tags":["Experimental","Deprecated"],"summary":"Get all company account groups","operationId":"getAccountGroupsV1_1","responses":{"200":{"description":"Account groups has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupsResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"pageOffset","in":"query","required":false,"schema":{"type":"number","example":"150","nullable":false},"description":"This is the pagination offset value. The record number you would like to start from. This offset value starts at 0."},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number","example":"10"},"description":"The number of account groups to return for each page."}]},"post":{"tags":["Experimental","Deprecated"],"summary":"Create an account group for a company","operationId":"createAccountGroupV1_1","responses":{"200":{"description":"An account group has been created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupResponse"}}}},"400":{"description":"validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupCreationRequest"}}},"required":true}}},"/account-groups/{accountCategoryId}":{"get":{"tags":["Accounts"],"summary":"Get an account group for a company","operationId":"getAccountGroup","responses":{"200":{"description":"An account group has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAccountGroupResponse"}}}},"400":{"description":"validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"An account group does not exist or does not match the company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"accountCategoryId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the account."}]},"put":{"tags":["Accounts"],"summary":"Update an account group for a company","operationId":"updateAccountGroup","responses":{"200":{"description":"An account group has been updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupResponse"}}}},"400":{"description":"validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"An account group does not exist or does not match the company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"accountCategoryId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the account."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupCreationRequest"}}},"required":true}},"delete":{"tags":["Accounts"],"summary":"Delete an account group for a company","operationId":"deleteAccountGroup","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[{"name":"accountCategoryId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the account."}]}},"/account-categories/{accountCategoryId}":{"get":{"tags":["Experimental","Deprecated"],"summary":"Get an account group for a company","operationId":"getAccountGroupV1_1","responses":{"200":{"description":"An account group has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAccountGroupResponse"}}}},"400":{"description":"validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"An account group does not exist or does not match the company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"accountCategoryId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the account."}]},"put":{"tags":["Experimental","Deprecated"],"summary":"Update an account group for a company","operationId":"updateAccountGroupV1_1","responses":{"200":{"description":"An account group has been updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupResponse"}}}},"400":{"description":"validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"An account group does not exist or does not match the company","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"accountCategoryId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the account."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountGroupCreationRequest"}}},"required":true}},"delete":{"tags":["Experimental","Deprecated"],"summary":"Delete an account group for a company","operationId":"deleteAccountGroupV1_1","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[{"name":"accountCategoryId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the account."}]}},"/teams":{"post":{"tags":["Teams"],"summary":"Create a team for a company","operationId":"createTeam","responses":{"200":{"description":"A team has been created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamCreationRequest"}}},"required":true}},"get":{"tags":["Teams"],"summary":"Get all teams for a company","operationId":"getTeams","responses":{"200":{"description":"Teams have been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamsResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"pageOffset","in":"query","required":false,"schema":{"type":"number","example":"150"},"description":"This is the pagination offset value. The record number you would like to start from. This offset value starts at 0."},{"name":"pageSize","in":"query","required":false,"schema":{"type":"number","example":"10","default":25},"description":"The number of teams to return for each page."}]}},"/teams/{teamId}":{"put":{"tags":["Teams"],"summary":"Update a team for a company","operationId":"updateTeam","responses":{"200":{"description":"A team has been updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the team."}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamUpdateRequest"}}},"required":true}},"get":{"tags":["Teams"],"summary":"Get a team for a company","operationId":"getTeam","responses":{"200":{"description":"A team has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the team."}]},"delete":{"tags":["Teams"],"summary":"Delete a team for a company","operationId":"deleteTeam","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the team."}]}},"/teams/{teamId}/employees/{employeeId}":{"put":{"tags":["Teams"],"summary":"Add an employee to a team","operationId":"addTeamEmployee","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the team."},{"name":"employeeId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the employee."}]},"delete":{"tags":["Teams"],"summary":"Remove an employee from a team","operationId":"deleteTeamEmployee","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object"}}}}},"parameters":[{"name":"teamId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the team."},{"name":"employeeId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the employee."}]}},"/tax-codes/{taxCodeId}":{"get":{"tags":["Tax Codes"],"summary":"Get a tax code for a company","operationId":"getTaxCode","responses":{"200":{"description":"A tax code has been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxCodeResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"taxCodeId","in":"path","required":true,"schema":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae"},"description":"Unique UUID of the tax code."}]}},"/tax-codes":{"get":{"tags":["Tax Codes"],"summary":"Get tax codes for a company","operationId":"getTaxCodes","responses":{"200":{"description":"Tax codes have been returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxCodesResponse"}}}},"401":{"description":"request unauthorized","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultUnauthorizedResponse"}}}},"403":{"description":"Request forbidden; user has insufficient rights to a resource.","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/DefaultForbiddenResponse"}}}},"404":{"description":"route not found"},"500":{"description":"Something went wrong. Please contact the administrator if problems persist."}},"parameters":[{"name":"force","in":"query","required":false,"schema":{"type":"boolean"},"description":"Force tax code list to reload."},{"name":"hidden","in":"query","required":false,"schema":{"type":"boolean"},"description":"Include hidden tax codes."}]}}},"components":{"schemas":{"HealthCheckResponse":{"type":"object","example":{"status":"UP"},"description":"Returns a healthcheck status for a given company.","properties":{"status":{"type":"string"}},"required":["status"]},"DefaultUnauthorizedResponse":{"type":"object","properties":{"statusCode":{"type":"number","example":401,"description":"http response status code"},"error":{"type":"string","example":"Forbidden","description":"error type"},"message":{"type":"string","example":"user_scope_insufficient","description":"error message"}}},"DefaultForbiddenResponse":{"type":"object","properties":{"statusCode":{"type":"number","example":403,"description":"http response status code"},"error":{"type":"string","example":"Forbidden","description":"error type"},"message":{"type":"string","example":"user_scope_insufficient","description":"error message"}}},"ExpenseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the expense"},"employeeId":{"type":"string","description":"Unique UUID identifier of the employee that performed the expense","nullable":true},"employeeCode":{"type":"string","description":"External identifier of the employee that performed the expense","nullable":true},"departmentId":{"type":"string","description":"Unique UUID identifier of the department for which the employee executing the expense belongs to","nullable":true},"performedAt":{"type":"string","description":"The date the expense was performed in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"amountOriginal":{"type":"object","description":"The amount and currency the transaction was originally in","properties":{"value":{"type":"number"},"currency":{"type":"string","description":"3-Letter currency code"}},"required":["value","currency"]},"amountSettled":{"type":"object","description":"The settlement amount and currency","nullable":true,"properties":{"value":{"type":"number"},"currency":{"type":"string","description":"3-Letter currency code"}},"required":["value","currency"]},"note":{"type":"string","description":"Additional comments on the expense added to enhance the purpose of the expense","nullable":true},"type":{"type":"string","description":"The type of this expense.","nullable":false,"enum":["CARD","PERSONAL_TRANSFER","BILL_INVOICE","BILL_INVOICE_PAYMENT","LOAD","MANUAL","MANUAL_TRANSFER","PLEO_INVOICE","EMPLOYEE_BANK_TRANSFER","CASHBACK","OVERDRAFT_FEE","OVERDRAFT_INTEREST"]},"cardTransaction":{"type":"object","description":"This is the card transaction details of this expense specifically related CARD expense types.","nullable":true,"properties":{"state":{"type":"string","description":"This is the transaction state of this card transaction.","nullable":false,"enum":["AUTHORIZATION","AUTHORIZATION_REVERSAL","CHARGE_BACK","CHARGE_BACK_REVERSAL","PRESENTMENT","SECOND_PRESENTMENT","REFUND","LOAD","UNLOAD","FAILED","MANUAL"]},"authorizedAt":{"type":"string","description":"Date and time the transaction was authorized in the format YYYY-MM-DDTHH:mi:ss.SSSZ.","nullable":true,"format":"date-time"},"settledAt":{"type":"string","description":"Date and time the transaction was settled in the pleo wallet currency in the format YYYY-MM-DDTHH:mi:ss.SSSZ.","nullable":true,"format":"date-time"},"reversedAt":{"type":"string","description":"Date and time the transaction was reversed if the transaction is in a reversal state in the format YYYY-MM-DDTHH:mi:ss.SSSZ.","nullable":true,"format":"date-time"},"merchant":{"type":"object","description":"Merchant the transaction was executed at","properties":{"id":{"type":"string","description":"Merchant payment processor merchant identifier","nullable":true},"name":{"type":"string","description":"Name of the merchant"}},"required":["name"]}},"required":["state","merchant"]},"accountId":{"type":"string","description":"This is the UUID pleo accounting category identifier for this expense, e.g. entertainment, travel etc.","nullable":true},"taxCodeId":{"type":"string","description":"This is the UUID tax code identifier for this expense","nullable":true},"tagIds":{"type":"array","description":"These are additional accounting-related information pertaining to the expense, these are usually extracted from the external accounting system.","items":{"type":"object","properties":{"id":{"type":"string","description":"This is the UUID of the tag attached to the expense"},"tagGroupId":{"type":"string","description":"UUID for the tag group to which expense tags are attached"}}}},"lines":{"type":"array","description":"This is a breakdown of the expense lines for this expense, could also be potentially empty for non-card related expenses","items":{"type":"object","properties":{"amountSettled":{"type":"object","description":"The breakdown settlement amount and currency for this expense line","properties":{"value":{"type":"number"},"currency":{"type":"string","description":"3-Letter currency code"}},"required":["value","currency"]},"accountId":{"type":"string","description":"This is the UUID pleo accounting category identifier for this expense line, e.g. entertainment, travel etc.","nullable":true},"taxCodeId":{"type":"string","description":"This is the UUID tax code identifier for this expense line","nullable":true},"tagIds":{"type":"array","description":"These are additional accounting-related information pertaining to the expense, these are usually extracted from the external accounting system.","items":{"type":"object","properties":{"id":{"type":"string","description":"This is the UUID of the tag attached to the expense"},"tagGroupId":{"type":"string","description":"UUID for the tag group to which expense tags are attached"}}}}},"required":["amountSettled"]}},"receiptIds":{"type":"array","description":"Unique identifiers (UUIDs) for the receipts attached to this expense","items":{"type":"string"}},"settledExpenseIds":{"type":"array","description":"Unique identifiers (UUIDs) of the related settled Expenses in case the expense is a reimbursement of *TRANSFER family","items":{"type":"string"}},"status":{"type":"string","description":"This is related to export status information","nullable":false,"enum":["NOT_EXPORTED","QUEUED","EXPORTING","EXPORTED"]},"supplier":{"type":"object","description":"Expense supplier information.","nullable":true,"properties":{"CIF":{"type":"string","description":"CIF code of the expense","nullable":true},"documentNumber":{"type":"string","description":"Document number of the expense","nullable":true}}},"createdAt":{"type":"string","description":"Date and time this record was created in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"updatedAt":{"type":"string","description":"Date and time this record was last updated in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"deletedAt":{"type":"string","description":"Date and time this record was deleted in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","nullable":true,"format":"date-time"}},"required":["id","performedAt","amountOriginal","type","lines","status","createdAt","updatedAt"]},"ExpensesResponse":{"type":"object","properties":{"expenses":{"type":"array","description":"A list of expenses fetched for the requested page","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the expense"},"employeeId":{"type":"string","description":"Unique UUID identifier of the employee that performed the expense","nullable":true},"employeeCode":{"type":"string","description":"External identifier of the employee that performed the expense","nullable":true},"departmentId":{"type":"string","description":"Unique UUID identifier of the department for which the employee executing the expense belongs to","nullable":true},"performedAt":{"type":"string","description":"The date the expense was performed in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"amountOriginal":{"type":"object","description":"The amount and currency the transaction was originally in","properties":{"value":{"type":"number"},"currency":{"type":"string","description":"3-Letter currency code"}},"required":["value","currency"]},"amountSettled":{"type":"object","description":"The settlement amount and currency","nullable":true,"properties":{"value":{"type":"number"},"currency":{"type":"string","description":"3-Letter currency code"}},"required":["value","currency"]},"note":{"type":"string","description":"Additional comments on the expense added to enhance the purpose of the expense","nullable":true},"type":{"type":"string","description":"The type of this expense.","nullable":false,"enum":["CARD","PERSONAL_TRANSFER","BILL_INVOICE","BILL_INVOICE_PAYMENT","LOAD","MANUAL","MANUAL_TRANSFER","PLEO_INVOICE","EMPLOYEE_BANK_TRANSFER","CASHBACK","OVERDRAFT_FEE","OVERDRAFT_INTEREST"]},"cardTransaction":{"type":"object","description":"This is the card transaction details of this expense specifically related CARD expense types.","nullable":true,"properties":{"state":{"type":"string","description":"This is the transaction state of this card transaction.","nullable":false,"enum":["AUTHORIZATION","AUTHORIZATION_REVERSAL","CHARGE_BACK","CHARGE_BACK_REVERSAL","PRESENTMENT","SECOND_PRESENTMENT","REFUND","LOAD","UNLOAD","FAILED","MANUAL"]},"authorizedAt":{"type":"string","description":"Date and time the transaction was authorized in the format YYYY-MM-DDTHH:mi:ss.SSSZ.","nullable":true,"format":"date-time"},"settledAt":{"type":"string","description":"Date and time the transaction was settled in the pleo wallet currency in the format YYYY-MM-DDTHH:mi:ss.SSSZ.","nullable":true,"format":"date-time"},"reversedAt":{"type":"string","description":"Date and time the transaction was reversed if the transaction is in a reversal state in the format YYYY-MM-DDTHH:mi:ss.SSSZ.","nullable":true,"format":"date-time"},"merchant":{"type":"object","description":"Merchant the transaction was executed at","properties":{"id":{"type":"string","description":"Merchant payment processor merchant identifier","nullable":true},"name":{"type":"string","description":"Name of the merchant"}},"required":["name"]}},"required":["state","merchant"]},"accountId":{"type":"string","description":"This is the UUID pleo accounting category identifier for this expense, e.g. entertainment, travel etc.","nullable":true},"taxCodeId":{"type":"string","description":"This is the UUID tax code identifier for this expense","nullable":true},"tagIds":{"type":"array","description":"These are additional accounting-related information pertaining to the expense, these are usually extracted from the external accounting system.","items":{"type":"object","properties":{"id":{"type":"string","description":"This is the UUID of the tag attached to the expense"},"tagGroupId":{"type":"string","description":"UUID for the tag group to which expense tags are attached"}}}},"lines":{"type":"array","description":"This is a breakdown of the expense lines for this expense, could also be potentially empty for non-card related expenses","items":{"type":"object","properties":{"amountSettled":{"type":"object","description":"The breakdown settlement amount and currency for this expense line","properties":{"value":{"type":"number"},"currency":{"type":"string","description":"3-Letter currency code"}},"required":["value","currency"]},"accountId":{"type":"string","description":"This is the UUID pleo accounting category identifier for this expense line, e.g. entertainment, travel etc.","nullable":true},"taxCodeId":{"type":"string","description":"This is the UUID tax code identifier for this expense line","nullable":true},"tagIds":{"type":"array","description":"These are additional accounting-related information pertaining to the expense, these are usually extracted from the external accounting system.","items":{"type":"object","properties":{"id":{"type":"string","description":"This is the UUID of the tag attached to the expense"},"tagGroupId":{"type":"string","description":"UUID for the tag group to which expense tags are attached"}}}}},"required":["amountSettled"]}},"receiptIds":{"type":"array","description":"Unique identifiers (UUIDs) for the receipts attached to this expense","items":{"type":"string"}},"settledExpenseIds":{"type":"array","description":"Unique identifiers (UUIDs) of the related settled Expenses in case the expense is a reimbursement of *TRANSFER family","items":{"type":"string"}},"status":{"type":"string","description":"This is related to export status information","nullable":false,"enum":["NOT_EXPORTED","QUEUED","EXPORTING","EXPORTED"]},"supplier":{"type":"object","description":"Expense supplier information.","nullable":true,"properties":{"CIF":{"type":"string","description":"CIF code of the expense","nullable":true},"documentNumber":{"type":"string","description":"Document number of the expense","nullable":true}}},"createdAt":{"type":"string","description":"Date and time this record was created in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"updatedAt":{"type":"string","description":"Date and time this record was last updated in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"deletedAt":{"type":"string","description":"Date and time this record was deleted in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","nullable":true,"format":"date-time"}},"required":["id","performedAt","amountOriginal","type","lines","status","createdAt","updatedAt"]}},"metadata":{"type":"object","description":"Additional metadata including pagination information","properties":{"pageInfo":{"type":"object","description":"Pagination information.","properties":{"nextPageOffset":{"type":"number","description":"The row number that should be used in the next fetch for the next page offset","nullable":true},"pageSize":{"type":"number","description":"The number of items returned in this page"},"totalCount":{"type":"number","description":"The total number of items mapped to the filter criteria supplied"}},"required":["pageSize","totalCount"]}}}},"required":["expenses","metadata"]},"ExpensesUpdateRequest":{"type":"object","properties":{"expenseIds":{"type":"array","example":"[\"0f0e000-000d-0d00-000b-00db0d000fae\", \"f0bd2ac4-9080-11eb-a8b3-0242ac130003\"]","description":"An array of unique expense UUIDs to update their statuses.","items":{"type":"string"}},"status":{"type":"string","description":"Status the expenses listed in the expenseIds field will be updated to.","nullable":false,"enum":["NOT_EXPORTED","QUEUED","EXPORTING","EXPORTED"]}},"required":["expenseIds","status"]},"TagGroupsResponse":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the tag group"},"name":{"type":"string","description":"This is the tag group name supplied on create"},"tagAttributes":{"type":"array","description":"These are the attributes that define a tag in this tag group, i.e. the tag columns. Each tag column is included only once.","items":{"type":"object","properties":{"id":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the tag group"},"name":{"type":"string","description":"This is the tag group name supplied on create"},"displayOrder":{"type":"number","description":"This number specifies the order in which these attributes are displayed in pleo.","nullable":true},"hidden":{"type":"boolean","description":"This flag specifies the column used as a display value for the customer when applying the tag on an expense. Non-hidden column values will be concatenated and used as the display"}},"required":["id","name","displayOrder","hidden"]}},"archived":{"type":"boolean","description":"This flag specifies whether the tag group has been archived in the Pleo system or not"}},"required":["id","name","tagAttributes","archived"]}},"TagGroupResponse":{"type":"object","properties":{"id":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the tag group"},"name":{"type":"string","description":"This is the tag group name supplied on create"},"tagAttributes":{"type":"array","description":"These are the attributes that define a tag in this tag group, i.e. the tag columns. Each tag column is included only once.","items":{"type":"object","properties":{"id":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the tag group"},"name":{"type":"string","description":"This is the tag group name supplied on create"},"displayOrder":{"type":"number","description":"This number specifies the order in which these attributes are displayed in pleo.","nullable":true},"hidden":{"type":"boolean","description":"This flag specifies the column used as a display value for the customer when applying the tag on an expense. Non-hidden column values will be concatenated and used as the display"}},"required":["id","name","displayOrder","hidden"]}},"archived":{"type":"boolean","description":"This flag specifies whether the tag group has been archived in the Pleo system or not"}},"required":["id","name","tagAttributes","archived"]},"TagGroupCreationRequest":{"type":"object","properties":{"name":{"type":"string","description":"This is the tag group name supplied on create"},"tagAttributes":{"type":"array","description":"These are the attributes that define a tag in this tag group","items":{"type":"object","properties":{"name":{"type":"string","description":"This is the tag group name"},"displayOrder":{"type":"number","description":"This number specifies the order in which these attributes are displayed in pleo."}},"required":["name"]}}},"required":["name","tagAttributes"]},"UpdateTagGroupRequest":{"type":"object","properties":{"name":{"type":"string","description":"This is the tag group name supplied on create"},"tagAttributes":{"type":"array","description":"These are the attributes that define a tag in this tag group","items":{"type":"object","properties":{"id":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the tag group"},"name":{"type":"string","description":"This is the tag group name"},"displayOrder":{"type":"number","description":"This number specifies the order in which these attributes are displayed in pleo."},"hidden":{"type":"boolean","description":"This flag specifies the attribute used as a display value for the customer when applying the tag on an expense."}},"required":["id"]}},"archived":{"type":"boolean","description":"This flag specifies whether the tag group has been archived in the pleo system or not"}}},"TagsResponse":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the tag"},"tagGroupId":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the tag group this tag belongs to"},"attributeValues":{"type":"array","description":"These are the attributes and their values assigned to this tag","items":{"type":"object","properties":{"attributeId":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the created tag group attribute"},"value":{"type":"string","description":"This is the value assigned to this attribute of the tag"}},"required":["attributeId","value"]}},"displayOrder":{"type":"number","description":"This is the display order position for this tag when displayed in a list.","nullable":true},"hidden":{"type":"boolean","description":"This flag specifies if the tag is hidden and not visible for use in pleo when tagging expenses."}},"required":["id","tagGroupId","attributeValues","displayOrder","hidden"]}},"TagResponse":{"type":"object","properties":{"id":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the tag"},"tagGroupId":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the tag group this tag belongs to"},"attributeValues":{"type":"array","description":"These are the attributes and their values assigned to this tag","items":{"type":"object","properties":{"attributeId":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the created tag group attribute"},"value":{"type":"string","description":"This is the value assigned to this attribute of the tag"}},"required":["attributeId","value"]}},"displayOrder":{"type":"number","description":"This is the display order position for this tag when displayed in a list.","nullable":true},"hidden":{"type":"boolean","description":"This flag specifies if the tag is hidden and not visible for use in pleo when tagging expenses."}},"required":["id","tagGroupId","attributeValues","displayOrder","hidden"]},"TagCreationRequest":{"type":"object","properties":{"attributeValues":{"type":"array","description":"These are the attributes and their values assigned to this tag","items":{"type":"object","properties":{"attributeId":{"type":"string","example":"0f0e000-000d-0d00-000b-00db0d000fae","description":"This is the internal pleo identifier of the created tag group attribute"},"value":{"type":"string","description":"This is the value assigned to this attribute of the tag"}},"required":["attributeId","value"]}}},"required":["attributeValues"]},"TagUpdateRequest":{"type":"object","properties":{"displayOrder":{"type":"number","description":"This is the display order position for this tag when displayed in a list.","nullable":true},"hidden":{"type":"boolean","description":"This flag specifies if the tag is hidden and not visible for use in pleo when tagging expenses."}}},"CompanyBalance":{"type":"object","properties":{"currency":{"type":"string","description":"Company wallet currency.","nullable":false,"enum":["DKK","SEK","EUR","GBP","NOK","USD"]},"current":{"type":"number","description":"All available funds including unsettled transactions."},"available":{"type":"number","description":"Funds available for use."}},"required":["currency","current","available"]},"Receipts":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the receipt"},"name":{"type":"string","description":"File name of the receipt"},"url":{"type":"string","description":"Download URL of the receipt (remains valid for 15 hours)"},"mimeType":{"type":"string","description":"Mime type of the file"},"size":{"type":"number","description":"Size of the file in KB"}},"required":["id","name","url","mimeType","size"]}},"Receipt":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the receipt"},"name":{"type":"string","description":"File name of the receipt"},"url":{"type":"string","description":"Download URL of the receipt (remains valid for 15 hours)"},"mimeType":{"type":"string","description":"Mime type of the file"},"size":{"type":"number","description":"Size of the file in KB"}},"required":["id","name","url","mimeType","size"]},"EmployeeResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the employee"},"firstName":{"type":"string","description":"Employee first name"},"lastName":{"type":"string","description":"Employee last name"},"email":{"type":"string","description":"Email"},"jobTitle":{"type":"string","description":"Job title","nullable":true},"role":{"type":"string","description":"Role","nullable":true},"phone":{"type":"string","description":"Phone number","nullable":true},"avatar":{"type":"object","properties":{"url":{"type":"string","description":"Employee avatar location","nullable":true}}},"code":{"type":"string","description":"External Id","nullable":true},"teamId":{"type":"string","description":"Team identifier","nullable":true}},"required":["id"]},"ErrorResponse":{"type":"object","properties":{"statusCode":{"type":"number"},"error":{"type":"string"},"message":{"type":"string"}}},"EmployeesResponse":{"type":"object","properties":{"employees":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the employee"},"firstName":{"type":"string","description":"Employee first name"},"lastName":{"type":"string","description":"Employee last name"},"email":{"type":"string","description":"Email"},"jobTitle":{"type":"string","description":"Job title","nullable":true},"role":{"type":"string","description":"Role","nullable":true},"phone":{"type":"string","description":"Phone number","nullable":true},"avatar":{"type":"object","properties":{"url":{"type":"string","description":"Employee avatar location","nullable":true}}},"code":{"type":"string","description":"External Id","nullable":true},"teamId":{"type":"string","description":"Team identifier","nullable":true}},"required":["id"]}},"metadata":{"type":"object","description":"Additional metadata including pagination information","properties":{"pageInfo":{"type":"object","description":"Pagination information.","properties":{"nextPageOffset":{"type":"number","description":"The row number that should be used in the next fetch for the next page offset","nullable":true},"pageSize":{"type":"number","description":"The number of items returned in this page"},"totalCount":{"type":"number","description":"The total number of items mapped to the filter criteria supplied"}},"required":["pageSize","totalCount"]}}}},"required":["metadata"]},"EmployeeCreationRequest":{"type":"object","properties":{"email":{"type":"string","description":"Employee email"}},"required":["email"]},"EmployeeCreationResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the employee"}},"required":["id"]},"AccountResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the account"},"accountNumber":{"type":"string","description":"Account number"},"taxCodeId":{"type":"string","description":"unique Tax Code ID"},"name":{"type":"string","description":"Description of this account"},"accountCategoryId":{"type":"string","description":"unique Category ID of the account"},"hidden":{"type":"boolean","description":"Is the account hidden/archived for the user"}},"required":["id","name","accountCategoryId","hidden"]},"AccountsResponse":{"type":"object","properties":{"accounts":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the account"},"accountNumber":{"type":"string","description":"Account number"},"taxCodeId":{"type":"string","description":"unique Tax Code ID"},"name":{"type":"string","description":"Description of this account"},"accountCategoryId":{"type":"string","description":"unique Category ID of the account"},"hidden":{"type":"boolean","description":"Is the account hidden/archived for the user"}},"required":["id","name","accountCategoryId","hidden"]}},"metadata":{"type":"object","description":"Additional metadata including pagination information","properties":{"pageInfo":{"type":"object","description":"Pagination information.","properties":{"nextPageOffset":{"type":"number","description":"The row number that should be used in the next fetch for the next page offset","nullable":true},"pageSize":{"type":"number","description":"The number of items returned in this page"},"totalCount":{"type":"number","description":"The total number of items mapped to the filter criteria supplied"}},"required":["pageSize","totalCount"]}}}},"required":["metadata"]},"AccountCreationRequest":{"type":"object","properties":{"accountNumber":{"type":"string","description":"Account number"},"name":{"type":"string","description":"Description of this account"},"taxCodeId":{"type":"string","description":"unique Tax Code ID"},"accountCategoryId":{"type":"string","description":"unique Category ID of the account"},"hidden":{"type":"boolean","description":"Is the account hidden/archived for the user"}}},"AccountGroupsResponse":{"type":"object","properties":{"accountGroups":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the account group"},"name":{"type":"string","description":"Description of the account group"},"typeKey":{"type":"string","description":"Type key of the account group","nullable":false,"enum":["entertainment","equipment_and_hardware","marketing_and_advertising","meals_and_drinks","office_expenses","phone_and_internet","services_and_consultancy","software","supplies","travel","other","no_suitable_category"]},"hidden":{"type":"boolean","description":"Is the account hidden/archived for the user"}},"required":["id","name","typeKey","hidden"]}},"metadata":{"type":"object","description":"Additional metadata including pagination information","properties":{"pageInfo":{"type":"object","description":"Pagination information.","properties":{"nextPageOffset":{"type":"number","description":"The row number that should be used in the next fetch for the next page offset","nullable":true},"pageSize":{"type":"number","description":"The number of items returned in this page"},"totalCount":{"type":"number","description":"The total number of items mapped to the filter criteria supplied"}},"required":["pageSize","totalCount"]}}}},"required":["metadata"]},"GetAccountGroupResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the account group"},"name":{"type":"string","description":"Description of the account group"},"typeKey":{"type":"string","description":"Type key of the account group","nullable":false,"enum":["entertainment","equipment_and_hardware","marketing_and_advertising","meals_and_drinks","office_expenses","phone_and_internet","services_and_consultancy","software","supplies","travel","other","no_suitable_category"]},"hidden":{"type":"boolean","description":"Is the account hidden/archived for the user"},"accounts":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the account"},"accountNumber":{"type":"string","description":"Account number"},"taxCodeId":{"type":"string","description":"unique Tax Code ID"},"name":{"type":"string","description":"Description of this account"},"accountCategoryId":{"type":"string","description":"unique Category ID of the account"},"hidden":{"type":"boolean","description":"Is the account hidden/archived for the user"}},"required":["id","name","accountCategoryId","hidden"]}}},"required":["id","name","typeKey","hidden"]},"AccountGroupCreationRequest":{"type":"object","properties":{"name":{"type":"string","description":"Description of the account group"},"typeKey":{"type":"string","description":"Type key of the account group","nullable":false,"enum":["entertainment","equipment_and_hardware","marketing_and_advertising","meals_and_drinks","office_expenses","phone_and_internet","services_and_consultancy","software","supplies","travel","other","no_suitable_category"]},"hidden":{"type":"boolean","description":"Is the account hidden/archived for the user"}}},"AccountGroupResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the account group"},"name":{"type":"string","description":"Description of the account group"},"typeKey":{"type":"string","description":"Type key of the account group","nullable":false,"enum":["entertainment","equipment_and_hardware","marketing_and_advertising","meals_and_drinks","office_expenses","phone_and_internet","services_and_consultancy","software","supplies","travel","other","no_suitable_category"]},"hidden":{"type":"boolean","description":"Is the account hidden/archived for the user"}},"required":["id","name","typeKey","hidden"]},"TeamCreationRequest":{"type":"object","properties":{"name":{"type":"string","description":"Team name"},"code":{"type":"string","description":"Team code","nullable":true}},"required":["name"]},"TeamResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the department"},"name":{"type":"string","description":"Name of the department"},"code":{"type":"string","description":"Code of the department","nullable":true},"employees":{"type":"array","description":"Team employee","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the employee"},"firstName":{"type":"string","description":"Employee first name"},"lastName":{"type":"string","description":"Employee last name"},"email":{"type":"string","description":"Email"},"jobTitle":{"type":"string","description":"Job title","nullable":true},"role":{"type":"string","description":"Role","nullable":true},"phone":{"type":"string","description":"Phone number","nullable":true},"avatar":{"type":"object","properties":{"url":{"type":"string","description":"Employee avatar location","nullable":true}}},"code":{"type":"string","description":"External Id","nullable":true},"teamId":{"type":"string","description":"Team identifier","nullable":true}},"required":["id"]}},"reviewers":{"type":"array","description":"Team reviewers","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the employee"},"firstName":{"type":"string","description":"Employee first name"},"lastName":{"type":"string","description":"Employee last name"},"email":{"type":"string","description":"Email"},"jobTitle":{"type":"string","description":"Job title","nullable":true},"role":{"type":"string","description":"Role","nullable":true},"phone":{"type":"string","description":"Phone number","nullable":true},"avatar":{"type":"object","properties":{"url":{"type":"string","description":"Employee avatar location","nullable":true}}},"code":{"type":"string","description":"External Id","nullable":true},"teamId":{"type":"string","description":"Team identifier","nullable":true}},"required":["id"]}}},"required":["id","name"]},"TeamUpdateRequest":{"type":"object","properties":{"name":{"type":"string","description":"Team name"},"code":{"type":"string","description":"Team code","nullable":true}},"required":["name"]},"TeamsResponse":{"type":"object","properties":{"teams":{"type":"array","description":"A list of teams fetched for the requested page","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the department"},"name":{"type":"string","description":"Name of the department"},"code":{"type":"string","description":"Code of the department","nullable":true},"employees":{"type":"array","description":"Team employee","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the employee"},"firstName":{"type":"string","description":"Employee first name"},"lastName":{"type":"string","description":"Employee last name"},"email":{"type":"string","description":"Email"},"jobTitle":{"type":"string","description":"Job title","nullable":true},"role":{"type":"string","description":"Role","nullable":true},"phone":{"type":"string","description":"Phone number","nullable":true},"avatar":{"type":"object","properties":{"url":{"type":"string","description":"Employee avatar location","nullable":true}}},"code":{"type":"string","description":"External Id","nullable":true},"teamId":{"type":"string","description":"Team identifier","nullable":true}},"required":["id"]}},"reviewers":{"type":"array","description":"Team reviewers","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the employee"},"firstName":{"type":"string","description":"Employee first name"},"lastName":{"type":"string","description":"Employee last name"},"email":{"type":"string","description":"Email"},"jobTitle":{"type":"string","description":"Job title","nullable":true},"role":{"type":"string","description":"Role","nullable":true},"phone":{"type":"string","description":"Phone number","nullable":true},"avatar":{"type":"object","properties":{"url":{"type":"string","description":"Employee avatar location","nullable":true}}},"code":{"type":"string","description":"External Id","nullable":true},"teamId":{"type":"string","description":"Team identifier","nullable":true}},"required":["id"]}}},"required":["id","name"]}}},"required":["teams"]},"TaxCodeResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the tax code."},"name":{"type":"string","description":"The name of the tax."},"code":{"type":"string","description":"The short code of the tax.","nullable":true},"rate":{"type":"number","description":"This is the rate of the tax code."},"type":{"type":"string","default":"normal","description":"This is the type of the tax code. Can be \"normal\" or \"reverse\".","nullable":false,"enum":["NORMAL","REVERSE"]},"ingoingTaxAccount":{"type":"string","description":"This is the ingoing account related to the tax codes."},"outgoingTaxAccount":{"type":"string","description":"This is the outgoing account related to the tax codes."},"enabled":{"type":"boolean","description":"This value is true if the tax code is not hidden."},"createdAt":{"type":"string","description":"Date and time this record was created in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"updatedAt":{"type":"string","description":"Date and time this record was last updated in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"deletedAt":{"type":"string","description":"Date and time this record was deleted in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","nullable":true,"format":"date-time"}},"required":["id","name","rate","enabled"]},"TaxCodesResponse":{"type":"object","properties":{"taxCodes":{"type":"array","description":"A list of tax codes fetched for the requested page","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique UUID identifier of the tax code."},"name":{"type":"string","description":"The name of the tax."},"code":{"type":"string","description":"The short code of the tax.","nullable":true},"rate":{"type":"number","description":"This is the rate of the tax code."},"type":{"type":"string","default":"normal","description":"This is the type of the tax code. Can be \"normal\" or \"reverse\".","nullable":false,"enum":["NORMAL","REVERSE"]},"ingoingTaxAccount":{"type":"string","description":"This is the ingoing account related to the tax codes."},"outgoingTaxAccount":{"type":"string","description":"This is the outgoing account related to the tax codes."},"enabled":{"type":"boolean","description":"This value is true if the tax code is not hidden."},"createdAt":{"type":"string","description":"Date and time this record was created in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"updatedAt":{"type":"string","description":"Date and time this record was last updated in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","format":"date-time"},"deletedAt":{"type":"string","description":"Date and time this record was deleted in the pleo system in the format YYYY-MM-DDTHH:mi:ss.SSSZ","nullable":true,"format":"date-time"}},"required":["id","name","rate","enabled"]}}},"required":["taxCodes"]}},"responses":{},"parameters":{},"examples":{},"requestBodies":{},"headers":{},"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","description":"Open API Bearer token"}},"links":{},"callbacks":{}},"servers":[{"url":"https://openapi.pleo.io/v1/","description":"Production"},{"url":"https://openapi.staging.pleo.io/v1/","description":"Staging"}],"info":{"description":"Pleo.io API","version":"0.0.1","title":"Pleo.io API"},"tags":[],"security":[{"BearerToken":[]}],"x-readme":{"proxy-enabled":false}}